# Get device models

Get a list of device models

Endpoint: GET /v1/foundry/device-models/
Version: 1.0.0
Security: AuthToken

## Query parameters:

  - `limit` (string)

  - `offset` (string)

  - `manufacturer` (string)

  - `model` (string)

  - `profile_name` (string)

  - `profile_variant` (string)

  - `update_compatible_android_api_level_begin` (string)

  - `update_compatible_android_api_level_end` (string)

## Response 200 fields (application/json):

  - `code` (integer)
    returned response code

  - `content` (object)

  - `content.count` (integer)
    counter of number of device models retrieved

  - `content.next` (string)
    url of the next ten device models

  - `content.previous` (string)
    url of the previous ten device models

  - `content.results` (array)

  - `content.results.model_display_name` (string)
    Example: "Motorola Edge 20 - T2E20"

  - `content.results.manufacturer` (string)
    Example: "Motorola"

  - `content.results.model` (string)
    Example: "Edge 20"

  - `content.results.profile_name` (string)
    Example: "Tacobell"

  - `content.results.profile_variant` (string)
    Example: "T2E20"

  - `content.results.update_compatible_android_api_level_begin` (integer)
    Example: 11

  - `content.results.device_model_id` (string)
    Example: "eb566c45-f841-41e5-a0af-435e90a96cae"

  - `content.results.auto_update` (boolean)

  - `content.results.latest` (boolean)

  - `content.results.locked_build_id` (string,null)

  - `content.results.created_at` (string)
    Example: "2023-12-07T17:14:46.419449+05:30"

  - `content.results.updated_at` (string)
    Example: "2023-12-07T17:14:46.419449+05:30"

  - `content.results.created_by` (string)
    Example: "FoundryAdmin"

  - `content.results.updated_by` (string)
    Example: "FoundryAdmin"

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


